Enhanced Content Patches may show "Not Applicable" with older ZENworks versions

  • 7003831
  • 08-Jul-2009
  • 27-Apr-2012

Environment

Novell ZENworks 10 Configuration Management with Support Pack 1 - 10.1 Patch Management

Situation

Enhanced content patches in the patch subscription for ZCM Patch Management Services may ALL show as "Not Applicable " for devices with the 10.1.x agent version installed. This issue is typically exhibited on completely unpatched installations of the Windows XP operating system.
 
This problem does not occur with the 10.2 agent.

Resolution

Update servers then agents to 10.2. 

Additional Information

The problem can quickly be corrected with the installation of Windows Update API (WUA) version 3.0.  This version of WUA is installed automatically for ZENworks Adaptive Agent 10.2 and later; and so once upgraded, patch detection functionality will be fully restored.
 
For devices with the 10.1 agent that cannot yet be updated, another simple workaround is to use ZCM Patch Management to distribute the Windows Update API 3.0 patch itself – just deploy the “MS 949104 Windows Update Agent 3.0 (All Languages )” to all XP/ 2000/ etc devices that are not functioning correctly.

Feedback service temporarily unavailable. For content questions or problems, please contact Support.